org.keycloak.dom.saml.v2.ac.classes

## Class GoverningAgreementsType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.GoverningAgreementsType

-     public class GoverningAgreementsType
      extends Object

  Java class for GoverningAgreementsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GoverningAgreementsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}GoverningAgreementRef"
       maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<GoverningAgreementRefType>` | `governingAgreementRef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoverningAgreementsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(GoverningAgreementRefType gov)`
    `List<GoverningAgreementRefType>` | `getGoverningAgreementRef()` Gets the value of the governingAgreementRef property.
    `void` | `remove(GoverningAgreementRefType gov)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### governingAgreementRef

          protected List<GoverningAgreementRefType> governingAgreementRef

  - ### Constructor Detail

    - #### GoverningAgreementsType

          public GoverningAgreementsType()

  - ### Method Detail

    - #### add

          public void add(GoverningAgreementRefType gov)

    - #### remove

          public void remove(GoverningAgreementRefType gov)

    - #### getGoverningAgreementRef

          public List<GoverningAgreementRefType> getGoverningAgreementRef()

      Gets the value of the governingAgreementRef property.

      Objects of the following type(s) are allowed in the list `GoverningAgreementRefType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.